/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { AttachmentContainerE2EComponent } from '../components/attachment/attachment.e2e.component';
import { KommentareInVorgangE2EComponent } from '../components/kommentar/kommentar-list.e2e.component';
import { PostfachMailFormularE2EComponent } from '../components/postfach/postfach-mail-formular.e2e.component';
import { PostfachMailE2EComponent } from '../components/postfach/postfach-mail.e2e.component';
import { FixedDialogE2EComponent } from '../components/ui/fixed-dialog.e2e.component';
import { VorgangAktenzeichenEditE2EComponent } from '../components/vorgang/vorgang-aktenzeichen-edit.e2e.component';
import { AntragstellerE2EComponent } from '../components/vorgang/vorgang-antragsteller.e2e.component';
import { VorgangBescheidWizardE2EComponent } from '../components/vorgang/vorgang-bescheid-wizard.e2e.component';
import { VorgangDetailHeaderE2EComponent } from '../components/vorgang/vorgang-detail-header.e2e.component';
import { VorgangFormularButtonsE2EComponent } from '../components/vorgang/vorgang-formular-buttons.e2e.components';
import { VorgangFormularDatenE2EComponent } from '../components/vorgang/vorgang-formular.e2e.component';
import { VorgangForwardingE2EComponent } from '../components/vorgang/vorgang-forward.e2e.component';
import { VorgangMoreMenuE2EComponent } from '../components/vorgang/vorgang-more-menu.e2e.components';
import { VorgangSubnavigationE2EComponent } from '../components/vorgang/vorgang-subnavigation';
import { WiedervorlagenInVorgangE2EComponent } from '../components/wiedervorlage/wiedervorlagen-in-vorgang.e2e.component';

export class VorgangPage {
  private readonly subnavigation: VorgangSubnavigationE2EComponent =
    new VorgangSubnavigationE2EComponent();
  private readonly vorgangDetailHeader: VorgangDetailHeaderE2EComponent =
    new VorgangDetailHeaderE2EComponent();
  private readonly formularDatenContainer: VorgangFormularDatenE2EComponent =
    new VorgangFormularDatenE2EComponent();
  private readonly formularButtons: VorgangFormularButtonsE2EComponent =
    new VorgangFormularButtonsE2EComponent();
  private readonly moreMenu: VorgangMoreMenuE2EComponent = new VorgangMoreMenuE2EComponent();
  private readonly aktenzeichenEditor: VorgangAktenzeichenEditE2EComponent =
    new VorgangAktenzeichenEditE2EComponent();
  private readonly bescheidWizard: VorgangBescheidWizardE2EComponent =
    new VorgangBescheidWizardE2EComponent();
  private readonly wiedervorlagen: WiedervorlagenInVorgangE2EComponent =
    new WiedervorlagenInVorgangE2EComponent();
  private readonly forwardingContainer: VorgangForwardingE2EComponent =
    new VorgangForwardingE2EComponent();
  private readonly attachmentContainer: AttachmentContainerE2EComponent =
    new AttachmentContainerE2EComponent();
  private readonly kommentarContainer: KommentareInVorgangE2EComponent =
    new KommentareInVorgangE2EComponent();
  private readonly postfachMailContainer: PostfachMailE2EComponent = new PostfachMailE2EComponent();
  private readonly antragstellerContainer: AntragstellerE2EComponent =
    new AntragstellerE2EComponent();

  private readonly fixedDialog: FixedDialogE2EComponent = new FixedDialogE2EComponent();
  private readonly postfachMailFormular: PostfachMailFormularE2EComponent =
    new PostfachMailFormularE2EComponent();

  private readonly locatorSpinner: string = 'spinner';
  private readonly locatorProgressBar: string = 'progress-bar';

  public getKommentarContainer(): KommentareInVorgangE2EComponent {
    return this.kommentarContainer;
  }

  public getForwardingContainer(): VorgangForwardingE2EComponent {
    return this.forwardingContainer;
  }

  public getSubnavigation(): VorgangSubnavigationE2EComponent {
    return this.subnavigation;
  }

  public getFormularDatenContainer(): VorgangFormularDatenE2EComponent {
    return this.formularDatenContainer;
  }

  public getFormularButtons(): VorgangFormularButtonsE2EComponent {
    return this.formularButtons;
  }

  public getMoreMenu(): VorgangMoreMenuE2EComponent {
    return this.moreMenu;
  }

  public getAktenzeichenEditor(): VorgangAktenzeichenEditE2EComponent {
    return this.aktenzeichenEditor;
  }

  public getBescheidWizard(): VorgangBescheidWizardE2EComponent {
    return this.bescheidWizard;
  }

  public getAttachmentContainer(): AttachmentContainerE2EComponent {
    return this.attachmentContainer;
  }

  public getVorgangDetailHeader(): VorgangDetailHeaderE2EComponent {
    return this.vorgangDetailHeader;
  }

  public getWiedervorlagenContainer(): WiedervorlagenInVorgangE2EComponent {
    return this.wiedervorlagen;
  }

  public getPostfachMailcontainer(): PostfachMailE2EComponent {
    return this.postfachMailContainer;
  }

  public getPostfachMailFormular(): PostfachMailFormularE2EComponent {
    return this.postfachMailFormular;
  }

  public getAntragstellerContainer(): AntragstellerE2EComponent {
    return this.antragstellerContainer;
  }

  public getProgressBar() {
    return cy.getTestElement(this.locatorProgressBar);
  }

  public getSpinner() {
    return cy.getTestElementWithClass(this.locatorSpinner);
  }

  public getFixedDialog(): FixedDialogE2EComponent {
    return this.fixedDialog;
  }
}
