import { CdkStepperModule } from '@angular/cdk/stepper';
import { CommonModule } from '@angular/common';
import { Component, HostBinding, effect, signal } from '@angular/core';
import { FormControl, FormGroup, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import {
  AttachmentComponent,
  AttachmentContainerComponent,
  AttachmentIconComponent,
  BescheidGenerateIconComponent,
  BescheidUploadIconComponent,
  ButtonCardComponent,
  ButtonComponent,
  CloseIconComponent,
  ErrorMessageComponent,
  FileIconComponent,
  FileUploadButtonComponent,
  RadioButtonCardComponent,
  SaveIconComponent,
  SendIconComponent,
  SpinnerIconComponent,
  StampIconComponent,
  TextInputComponent,
  TextareaComponent,
} from '@ods/system';

import { BescheidDialogExampleComponent } from './components/bescheid-dialog/bescheid-dialog.component';
import { BescheidPaperComponent } from './components/bescheid-paper/bescheid-paper.component';
import { BescheidStepperComponent } from './components/bescheid-stepper/bescheid-stepper.component';
import { CustomStepperComponent } from './components/cdk-demo/custom-stepper.component';

@Component({
  standalone: true,
  imports: [
    CommonModule,
    AttachmentComponent,
    AttachmentContainerComponent,
    ButtonComponent,
    ButtonCardComponent,
    FileUploadButtonComponent,
    RouterModule,
    CdkStepperModule,
    CustomStepperComponent,
    BescheidDialogExampleComponent,
    BescheidStepperComponent,
    BescheidPaperComponent,
    RadioButtonCardComponent,
    ReactiveFormsModule,
    SaveIconComponent,
    SendIconComponent,
    StampIconComponent,
    CloseIconComponent,
    AttachmentIconComponent,
    BescheidGenerateIconComponent,
    BescheidUploadIconComponent,
    SpinnerIconComponent,
    FileIconComponent,
    TextareaComponent,
    TextInputComponent,
    TextareaComponent,
    ErrorMessageComponent,
  ],
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  title = 'demo';

  darkMode = signal<boolean>(JSON.parse(window.localStorage.getItem('darkMode') ?? 'false'));

  @HostBinding('class.dark') get mode() {
    return this.darkMode();
  }

  exampleForm = new FormGroup({
    exampleName: new FormControl('bewilligt'),
  });

  saveForm = new FormGroup({
    saveForm: new FormControl(),
  });

  onDownloadClick = () => window.alert('download clicked');

  constructor() {
    effect(() => {
      window.localStorage.setItem('darkMode', JSON.stringify(this.darkMode()));
    });
  }
}
