import {
  ListResourceServiceConfig,
  ResourceListService,
  ResourceRepository,
} from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';
import { SettingListLinkRel } from './admin-settings.linkrel';
import { SettingItemResource, SettingListResource } from './admin-settings.model';
import { ConfigurationResource } from './configuration/configuration.model';
import { ConfigurationService } from './configuration/configuration.service';

export class SettingListResourceService extends ResourceListService<
  Resource,
  SettingListResource,
  SettingItemResource
> {}

export function createSettingListResourceService(
  repository: ResourceRepository,
  configurationService: ConfigurationService,
) {
  return new ResourceListService(buildConfig(configurationService), repository);
}
function buildConfig(
  configurationService: ConfigurationService,
): ListResourceServiceConfig<ConfigurationResource> {
  return {
    baseResource: configurationService.get(),
    createLinkRel: SettingListLinkRel.CREATE,
    listLinkRel: SettingListLinkRel.LIST,
  };
}
