import { Resource } from '@ngxp/rest';
import { toResource } from '../../tech-shared/test/resource';
import { SettingListLinkRel } from '../src/lib/admin-settings.linkrel';
import { SettingItemResource, SettingListResource } from '../src/lib/admin-settings.model';

export function createSettingsListResource(
  settingsItems: SettingItemResource[],
): SettingListResource {
  return toResource({}, [], { settings: settingsItems });
}

export function createFilledSettingsListResource(
  resources: Resource[],
  linkRelations: string[] = [],
): SettingListResource {
  return toResource({}, [...linkRelations], { [SettingListLinkRel.LIST]: resources });
}
