import { TechSharedModule } from '@alfa-client/tech-shared';
import { FormControlEditorAbstractComponent } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { Component, Input, OnInit } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextInputComponent } from '@ods/system';
import { ValidationErrorComponent } from '../validation-error/validation-error.component';

@Component({
  selector: 'ods-text-editor',
  standalone: true,
  imports: [
    CommonModule,
    ReactiveFormsModule,
    TechSharedModule,
    TextInputComponent,
    ValidationErrorComponent,
  ],
  templateUrl: './text-editor.component.html',
})
export class TextEditorComponent extends FormControlEditorAbstractComponent implements OnInit {
  @Input({ required: true }) label: string;
  @Input() autocomplete: 'off' | 'email' = 'off';
  @Input() placeholder: string = '';
  @Input() required: boolean = false;

  get variant(): string {
    return this.issues.length > 0 ? 'error' : 'default';
  }
}
