import { type Meta, type StoryObj } from '@storybook/angular';
import { AttachmentComponent } from './attachment.component';

const meta: Meta<AttachmentComponent> = {
  title: 'Attachment',
  component: AttachmentComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentComponent>;

export const Default: Story = {
  name: 'File with pdf icon',
  args: {
    documentName: 'Katzenanmeldung_1231231_eingang.pdf',
    description: '450 kB',
    fileType: 'pdf',
  },
  argTypes: {
    documentName: {
      table: {
        type: { summary: 'Name of the document' },
      },
    },
    description: {
      table: {
        type: { summary: 'Description can contain size of file or e.g. loading progress' },
      },
    },
  },
};

export const Doc: Story = {
  name: 'File with doc icon',
  args: {
    documentName: 'Katzenanmeldung_1231231_eingang.doc',
    description: '573 kB',
    fileType: 'doc',
  },
};

export const Loading: Story = {
  name: 'File with doc icon',
  args: {
    documentName: 'Katzenanmeldung_1231231_eingang.doc',
    description: '573 kB',
    fileType: 'doc',
    isLoading: true,
  },
};
