import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { FileIconComponent } from '../icons/file-icon/file-icon.component';
import { ButtonComponent } from './button.component';

const meta: Meta<ButtonComponent> = {
  title: 'Button',
  component: ButtonComponent,
  subcomponents: { FileIconComponent },
  decorators: [
    moduleMetadata({
      imports: [ButtonComponent, FileIconComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<ButtonComponent>;

export const Default: Story = {
  args: { text: 'Hello world!', isLoading: false, type: 'primary' },
  argTypes: {
    type: {
      options: ['primary', 'outline'],
      control: { type: 'radio' },
    },
  },
};

export const WithIcon: Story = {
  args: { text: 'I have an icon', isLoading: false, type: 'outline' },
  render: (args: ButtonComponent) => ({
    props: args,
    template: `<ods-button ${argsToTemplate(args)}>
      <ods-file-icon icon fileType='pdf' size='extra-large'></ods-file-icon>
    </ods-button>`,
  }),
};
