/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input, OnInit } from '@angular/core';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { hasLink } from '@ngxp/rest';

@Component({
  selector: 'alfa-vorgang-detail-formular-daten',
  templateUrl: './vorgang-detail-formular-daten.component.html',
  styleUrls: ['./vorgang-detail-formular-daten.component.scss'],
})
export class VorgangDetailFormularDatenComponent implements OnInit {
  @Input() vorgangWithEingang: VorgangWithEingangResource;

  metaData: object;
  antragsData: object;

  readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;

  ngOnInit(): void {
    this.antragsData = this.vorgangWithEingang.eingang.formData;
  }

  get defaultSelection(): number {
    return hasLink(this.vorgangWithEingang, this.vorgangWithEingangLinkRel.REPRESENTATIONS) ? 2 : 0;
  }
}
