import { ApiError, Issue } from '@alfa-client/tech-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { AttachmentErrorComponent } from '@ods/system';
import { createApiError, createIssue } from 'libs/tech-shared/test/error';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenFormErrorComponent } from './vorgang-detail-bescheiden-form-error.component';

describe('VorgangDetailBescheidenFormErrorComponent', () => {
  let component: VorgangDetailBescheidenFormErrorComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenFormErrorComponent>;

  const issue: Issue = {
    ...createIssue(),
    messageCode: 'validation_field_file_content_type_invalid',
  };

  const error: ApiError = createApiError([issue]);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [VorgangDetailBescheidenFormErrorComponent],
      imports: [MockComponent(AttachmentErrorComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenFormErrorComponent);
    component = fixture.componentInstance;
    component.error = error;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('set errorList', () => {
    it('should push VALIDATION_MESSAGES to errorList', () => {
      expect(component.errorList[0]).toBe('Erlaubte Dateiendungen: pdf, jpg, png, jpeg');
    });
  });
});
