import {
  BescheidLinkRel,
  BescheidResource,
  BescheidService,
  UploadFileInProgress,
} from '@alfa-client/bescheid-shared';
import { BinaryFileResource } from '@alfa-client/binary-file-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { getUrl, hasLink } from '@ngxp/rest';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-result-dokument',
  templateUrl: './vorgang-detail-bescheiden-result-dokument.component.html',
})
export class VorgangDetailBescheidenResultDokumentComponent {
  @Input() bescheidDocumentFile: StateResource<BinaryFileResource>;
  @Input() uploadBescheidDocumentInProgress: UploadFileInProgress = { loading: false };
  @Input() createBescheidDocumentInProgress: UploadFileInProgress = { loading: false };
  @Input() set bescheidDraftStateResource(bescheidStateResource: StateResource<BescheidResource>) {
    this.handleBescheidDocument(bescheidStateResource.resource);
  }
  @Input() public deletable: boolean;
  @Input() public showMissingBescheidDocumentError: boolean;

  @Output() deleteFile: EventEmitter<void> = new EventEmitter<void>();

  constructor(private bescheidService: BescheidService) {}

  handleBescheidDocument(bescheid: BescheidResource): void {
    if (hasLink(bescheid, BescheidLinkRel.BESCHEID_DOCUMENT)) {
      this.bescheidService.loadBescheidDocumentByUri(
        getUrl(bescheid, BescheidLinkRel.BESCHEID_DOCUMENT),
      );
    }
  }
}
