/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.file;

import static de.ozgcloud.alfa.common.TestUtils.*;

import de.ozgcloud.alfa.common.binaryfile.BinaryFileTestFactory;
import de.ozgcloud.alfa.common.binaryfile.FileId;

public class OzgFileTestFactory {

	public static final FileId ID = FileId.from(createMongoDbObjectId());
	public static final String NAME = BinaryFileTestFactory.NAME;
	public static final long SIZE = BinaryFileTestFactory.SIZE;
	public static final String CONTENT_TYPE = BinaryFileTestFactory.CONTENT_TYPE;

	public static OzgFile create() {
		return createBuilder().build();
	}

	public static OzgFile createWithUniqueId() {
		return createBuilder()
				.id(FileId.from(createMongoDbObjectId()))
				.build();
	}

	public static OzgFile.OzgFileBuilder createBuilder() {
		return OzgFile.builder()
				.id(ID)
				.name(NAME)
				.size(SIZE)
				.contentType(CONTENT_TYPE);
	}

}