package de.ozgcloud.alfa.export;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties("ozgcloud.xdomea")
@ConditionalOnProperty(value = "ozgcloud.feature.vorgang-export", havingValue = "true")
public class ExternalXdomeaProperties implements XdomeaProperties {

	@NotNull
	private String behoerdenschluessel;
	@NotNull
	private String behoerdenschluesselUri;
	@NotNull
	private String behoerdenschluesselVersion;
}
